org.firebirdsql.gds.ng.listeners

## Interface TransactionListener

All Known Implementing Classes:
  AbstractFbBlob, AbstractFbDatabase, AbstractFbWireBlob, AbstractFbWireDatabase, AbstractFbWireInputBlob, AbstractFbWireOutputBlob, FBBlob, JnaBlob, JnaDatabase, TransactionListenerDispatcher, V10Database, V10InputBlob, V10OutputBlob, V11Database, V11InputBlob, V11OutputBlob, V12Database, V13Database, V15Database, V16Database, V18Database

    public interface TransactionListener

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `transactionStateChanged(FbTransaction transaction, TransactionState newState, TransactionState previousState)` Signals that the transaction state changed.

### Method Detail

#### transactionStateChanged

    void transactionStateChanged(FbTransaction transaction,
                                 TransactionState newState,
                                 TransactionState previousState)

Signals that the transaction state changed.

Parameters:
  `transaction` - `FbTransaction` that changed state